tigase.jaxmpp.gwt.client

## Class GwtRosterStore

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.roster.RosterStore
  - - tigase.jaxmpp.core.client.xmpp.modules.roster.DefaultRosterStore
    - - tigase.jaxmpp.gwt.client.GwtRosterStore

- All Implemented Interfaces:
    Property, JsonSerializationHelper.Serializable

      public class GwtRosterStore
      extends DefaultRosterStore
      implements JsonSerializationHelper.Serializable

  Author:
    andrzej

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.xmpp.modules.roster.RosterStore

      `RosterStore.Predicate`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.roster.DefaultRosterStore

      `groups, roster`

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.roster.RosterStore

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GwtRosterStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `fromJSON(JsonSerializationHelper helper, com.google.gwt.core.client.JavaScriptObject obj)`
    `String` | `getJsonType()`
    `com.google.gwt.core.client.JavaScriptObject` | `toJSON()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.roster.DefaultRosterStore

      `addItem, calculateModifiedGroups, createItemId, get, getAll, getCount, getGroups, removeAll, removeItem`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.roster.RosterStore

      `add, add, add, clear, getAll, getPropertyClass, remove, setSessionObject, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GwtRosterStore

          public GwtRosterStore()

  - ### Method Detail

    - #### getJsonType

          public String getJsonType()

      Specified by:
        `getJsonType` in interface `JsonSerializationHelper.Serializable`

    - #### toJSON

          public com.google.gwt.core.client.JavaScriptObject toJSON()
                                                             throws XMLException

      Specified by:
        `toJSON` in interface `JsonSerializationHelper.Serializable`
      Throws:
        `XMLException`

    - #### fromJSON

          public Object fromJSON(JsonSerializationHelper helper,
                                 com.google.gwt.core.client.JavaScriptObject obj)
                          throws JaxmppException

      Specified by:
        `fromJSON` in interface `JsonSerializationHelper.Serializable`
      Throws:
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.